Skip to content

tags_api.get_discussions_by_feed ​

since HF14 disabled

Defined in the steem source (52dcfabb) but not served by public nodes.

Purpose ​

Returns a list of discussions by feed.

Parameters ​

PARAMETERS
json
{
  "tag": "",
  "limit": 0,
  "filter_tags": [],
  "select_authors": [],
  "select_tags": [],
  "truncate_body": 0
}

⚠ Defined in the steem source, but not enabled on public nodes.

Example ​

Example 1 ​

BASH
bash
# NOTE: this method is no longer served by public nodes
curl -s https://api.steemit.com \
  -H 'Content-Type: application/json' \
  --data-binary '{
    "jsonrpc": "2.0",
    "method": "tags_api.get_discussions_by_feed",
    "params": {
      "tag": "steem",
      "limit": 1
    },
    "id": 1
  }'

Example 2 ​

BASH
bash
# NOTE: this method is no longer served by public nodes
curl -s https://api.steemit.com \
  -H 'Content-Type: application/json' \
  --data-binary '{
    "jsonrpc": "2.0",
    "method": "tags_api.get_discussions_by_feed",
    "params": {
      "tag": "photography",
      "limit": 10,
      "truncate_body": 0
    },
    "id": 1
  }'

Response ​

RESPONSE
json
{
  "discussions": []
}